All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
vector_proxy< NumericT > Class Template Reference

## Public Member Functions

| vector_proxy (NumericT *p_values, std::size_t start_idx, std::size_t increment, std::size_t num_elements)
NumericT const & | operator[] (std::size_t index) const
NumericT & | operator[] (std::size_t index)
std::size_t | size () const

## Detailed Description

### template<typename NumericT>
class vector_proxy< NumericT >

Definition at line 48 of file vector_float_double.cpp.

## Constructor & Destructor Documentation

template<typename NumericT>

vector_proxy< NumericT >::vector_proxy | ( | NumericT * | p_values,
|  | std::size_t | start_idx,
|  | std::size_t | increment,
|  | std::size_t | num_elements
| ) |  |

inline

Definition at line 51 of file vector_float_double.cpp.

## Member Function Documentation

template<typename NumericT>

NumericT const& vector_proxy< NumericT >::operator[] | ( | std::size_t | index | ) | const

inline

Definition at line 54 of file vector_float_double.cpp.

template<typename NumericT>

NumericT& vector_proxy< NumericT >::operator[] | ( | std::size_t | index | ) |

inline

Definition at line 55 of file vector_float_double.cpp.

template<typename NumericT>

std::size_t vector_proxy< NumericT >::size | ( |  | ) | const

inline

Definition at line 57 of file vector_float_double.cpp.

The documentation for this class was generated from the following file:

- tests/src/vector_float_double.cpp